# define driver name, version and release
%define		drvname	vboxadditions
%define		drvver	4.3.10
%define		drvrel	1.mga3

# define core kernel version we build against
%define 	kernver		3.10.28
%define		kernrel		1.mga3

# where to build
%define		topdir		${RPM_BUILD_DIR}/%{name}-%{_arch}

# source package
Name:		kmod-%{drvname}
Version:	%{drvver}
Release:	%mkrel 1
Summary:	Prebuilt %{drvname} modules for kernel-%{kernver}-%{kernrel}
License:	GPLv2
URL:		http://www.virtualbox.org/
Group:		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	dkms-%{drvname} = %{drvver}-%{drvrel}
%ifarch %{ix86}
BuildRequires:	kernel-desktop586-devel-%{kernver}-%{kernrel}
%endif
BuildRequires:	kernel-desktop-devel-%{kernver}-%{kernrel}
BuildRequires:	kernel-server-devel-%{kernver}-%{kernrel}

%description
This package creates prebuilt %{drvname} kernel modules for core kernel.


# obsoletes prebuilt -netbook-latest modules with matching -desktop-latest
%define latest_obsoletes_desktop %{drvname}-kernel-netbook-latest < 4.2.4-2
%define latest_provides_desktop  %{drvname}-kernel-netbook-latest = %{drvver}-%{release}

##### mkflavour() ala core kernel #####
%define mkflavour()								\
%package -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Summary:	%{drvname} driver for kernel-%{1}-%{kernver}-%{kernrel}		\
License:	GPLv1								\
URL:		http://www.virtualbox.org/					\
Group:		System/Kernel and hardware					\
Requires(post): dkms-minimal							\
Requires(preun): dkms-minimal							\
Requires:	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(post):	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(preun): kernel-%{1}-%{kernver}-%{kernrel}				\
Suggests:	%{drvname}-kernel-%{1}-latest					\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Prebuilt dkms binary kernel modules for the %{drvname} driver version %{drvver} \
built for kernel-%{1}-%{kernver}-%{kernrel}.					\
										\
%files -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%dir /var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel} \
/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel}/* \
										\
%post -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms install --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
%{_sbindir}/dkms status -m %{drvname} -v %{drvver}-%{drvrel}			\
										\
%preun -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms uninstall --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
										\
										\
%package -n %{drvname}-kernel-%{1}-latest					\
Summary:	Virtual rpm for latest %{drvname}-kernel-%{1} driver		\
License:	GPLv2								\
URL:		http://www.virtualbox.org/					\
Group:		System/Kernel and hardware					\
Requires:	%{drvname}-kernel-%{kernver}-%{1}-%{kernrel} = %{version}-%{release} \
%{expand:%%{?latest_obsoletes_%{1}:Obsoletes: %{latest_obsoletes_%{1}}}}	\
%{expand:%%{?latest_provides_%{1}:Provides: %{latest_provides_%{1}}}}		\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{1}-latest					\
This package is a virtual rpm that aims to make sure you always have the	\
latest prebuilt %{drvname} driver for kernel-%{1}.				\
										\
%files -n %{drvname}-kernel-%{1}-latest

%ifarch %{ix86}
%mkflavour desktop586
%endif

%mkflavour desktop
%mkflavour server


%prep
rm -rf %{topdir}

%build
%{_sbindir}/dkms add -m %{drvname} -v %{drvver}-%{drvrel} --dkmstree %{topdir}/var/lib/dkms-binary
%ifarch %{ix86}
%{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
	    -k %{kernver}-desktop586-%{kernrel} --kernelsourcedir /usr/src/linux-%{kernver}-desktop586-%{kernrel} \
	    --dkmstree %{topdir}/var/lib/dkms-binary
%endif
for flavour in desktop server; do
    %{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
		-k %{kernver}-$flavour-%{kernrel} --kernelsourcedir /usr/src/linux-%{kernver}-$flavour-%{kernrel} \
		--dkmstree %{topdir}/var/lib/dkms-binary
done

%install
mkdir -p %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}
cp -a %{topdir}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel} \
      %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/
for dir in %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel}; do
    cp -a /usr/src/%{drvname}-%{drvver}-%{drvrel}/dkms.conf $dir/
    xz -6e $dir/*/module/vbox*.ko ||:
done


%changelog
* Sat Apr 19 2014 tmb <tmb> 4.3.10-1.mga3
+ Revision: 617084
- rebuild for virtualbox-4.3.10-1.mga3
- rebuild for virtualbox-4.2.24-1.mga3
- rebuild for virtualbox-4.2.22-1.mga3
- rebuild for kernel-3.10.28-1.mga3
- rebuild for kernel-3.10.27-1.mga3
- rebuild for kernel-3.10.25-1.mga3
- rebuild for kernel-3.10.24-2.mga3
- rebuild for kernel-3.10.24-1.mga3
- downgrade to 4.2.16
- rebuild for kernel-3.10.22-1.mga3
- rebuild with virtualbox-4.2.20-1.mga3
- rebuild for kernel-3.10.19-1.mga3
- rebuild for kernel-3.10.18-1.mga3
- rebuild for kernel-3.10.16-1.mga3
- rebuild for kernel-3.10.15-1.mga3
- rebuild for kernel-3.10.12-1.mga3
- rebuild for virtualbox-4.2.16-1.mga3
- rebuild for kernel-3.8.13.4-1.mga3
- rebuild for kernel-3.8.13.3-2.mga3
- rebuild for kernel-3.8.13.3-1.mga3

* Tue May 14 2013 tmb <tmb> 4.2.12-11.mga3
+ Revision: 413196
- rebuild for kernel-3.8.13-1.mga3

* Fri May 10 2013 tmb <tmb> 4.2.12-10.mga3
+ Revision: 412836
- rebuild for kernel-3.8.12-2.mga3

* Wed May 08 2013 tmb <tmb> 4.2.12-9.mga3
+ Revision: 412678
- rebuild for kernel-3.8.12-1.mga3

* Wed May 01 2013 tmb <tmb> 4.2.12-8.mga3
+ Revision: 411834
- rebuild for kernel-3.8.11-1.mga3

* Sat Apr 27 2013 tmb <tmb> 4.2.12-7.mga3
+ Revision: 411366
- rebuild for kernel-3.8.10-1.mga3

* Mon Apr 22 2013 tmb <tmb> 4.2.12-6.mga3
+ Revision: 410893
- rebuild for kernel-3.8.8-3.mga3

* Sun Apr 21 2013 tmb <tmb> 4.2.12-5.mga3
+ Revision: 410750
- rebuild for virtualbox-4.2.12-2.mga3

* Sat Apr 20 2013 tmb <tmb> 4.2.12-4.mga3
+ Revision: 410596
- rebuild for kernel-3.8.8-2.mga3

* Wed Apr 17 2013 tmb <tmb> 4.2.12-3.mga3
+ Revision: 410297
- rebuild for kernel-3.8.8-1.mga3

* Sat Apr 13 2013 tmb <tmb> 4.2.12-2.mga3
+ Revision: 409938
- rebuild for kernel-3.8.7-1.mga3

* Sat Apr 13 2013 tmb <tmb> 4.2.12-1.mga3
+ Revision: 409898
- rebuild for virtualbox-4.2.12-1.mga3

* Tue Apr 09 2013 tmb <tmb> 4.2.10-5.mga3
+ Revision: 409298
- rebuild for kernel-3.8.6-2.mga3

* Sun Apr 07 2013 tmb <tmb> 4.2.10-4.mga3
+ Revision: 408777
- rebuild for kernel-3.8.6-1.mga3

* Sat Mar 30 2013 tmb <tmb> 4.2.10-3.mga3
+ Revision: 406638
- rebuild for kernel-3.8.5-1.mga3

* Mon Mar 25 2013 fwang <fwang> 4.2.10-2.mga3
+ Revision: 405186
- rebuild for new virtualbox

* Thu Mar 21 2013 fwang <fwang> 4.2.10-1.mga3
+ Revision: 404220
- rebuild for new virtualbox

* Mon Mar 18 2013 tmb <tmb> 4.2.8-3.mga3
+ Revision: 403973
- rebuild for kernel-3.8.3-2.mga3

* Fri Mar 15 2013 tmb <tmb> 4.2.8-2.mga3
+ Revision: 403331
- rebuild for kernel-3.8.3-1.mga3

* Sat Mar 02 2013 tmb <tmb> 4.2.8-1.mga3
+ Revision: 401117
- rebuild for virtualbox-4.2.8-1.mga3
- rebuild for kernel-3.8.1-1.mga3

* Thu Feb 28 2013 tmb <tmb> 4.2.6-12.mga3
+ Revision: 400598
- rebuild for kernel-3.8.0-3.mga3

* Fri Feb 22 2013 tmb <tmb> 4.2.6-11.mga3
+ Revision: 399995
- rebuild for kernel-3.8.0-2.mga3

* Tue Feb 19 2013 tmb <tmb> 4.2.6-10.mga3
+ Revision: 399327
- rebuild for kernel-3.8.0-1.mga3

* Sat Feb 09 2013 tmb <tmb> 4.2.6-9.mga3
+ Revision: 397396
- rebuild for kernel-3.8.0-0.rc7.1.mga3

* Wed Feb 06 2013 tmb <tmb> 4.2.6-8.mga3
+ Revision: 394967
- rebuild for kernel-3.8.0-0.rc6.1.mga3

* Sun Jan 27 2013 tmb <tmb> 4.2.6-7.mga3
+ Revision: 392640
- rebuild for kernel-3.8.0-0.rc5.1.mga3

* Fri Jan 18 2013 tmb <tmb> 4.2.6-6.mga3
+ Revision: 389521
- rebuild for kernel-3.8.0-0.rc4.1.mga3

* Thu Jan 17 2013 tmb <tmb> 4.2.6-5.mga3
+ Revision: 388932
- rebuild with fixed virtualbox-4.2.6-4.mga3
- rebuild for kernel-3.8.0-0.rc3.2.mga3

* Tue Jan 15 2013 fwang <fwang> 4.2.6-4.mga3
+ Revision: 388337
- rebuild for new driver

* Thu Jan 10 2013 tmb <tmb> 4.2.6-3.mga3
+ Revision: 344733
- rebuild for kernel-3.8.0-0.rc3.1.mga3

* Thu Dec 20 2012 fwang <fwang> 4.2.6-1.mga3
+ Revision: 333300
- rebuild for new virtualbox

* Tue Dec 18 2012 tmb <tmb> 4.2.4-4.mga3
+ Revision: 332492
- rebuild for kernel-3.7.1-1.mga3

* Tue Dec 11 2012 tmb <tmb> 4.2.4-3.mga3
+ Revision: 329586
- rebuild for kernel-3.7.0-1.mga3

* Fri Dec 07 2012 tmb <tmb> 4.2.4-2.mga3
+ Revision: 327634
- fix dkms-vboxadditions version
- fix obsolete version
- kernel-netbook is gone, so have -netbook-latest packages update to
  matching -desktop-latest
- rebuild for kernel-3.7.0-0.rc8.1.mga3
- ingore already compressed modules

* Thu Nov 01 2012 tmb <tmb> 4.2.4-1.mga3
+ Revision: 311861
- rebuild for kernel-3.6.5-1.mga3
- rebuild for virtualbox-4.2.4

* Sun Oct 28 2012 tmb <tmb> 4.2.0-6.mga3
+ Revision: 311238
- rebuild for kernel-3.6.4-1.mga3

* Sun Oct 21 2012 tmb <tmb> 4.2.0-5.mga3
+ Revision: 309021
- rebuild for kernel-3.6.3-1.mga3

* Thu Oct 18 2012 tmb <tmb> 4.2.0-4.mga3
+ Revision: 307881
- rebuild for kernel-3.6.2-1.mga3

* Sun Sep 30 2012 tmb <tmb> 4.2.0-3.mga3
+ Revision: 300738
- rebuild for kernel-3.5.5-0.rc1.1.mga3

* Sat Sep 15 2012 tmb <tmb> 4.2.0-2.mga3
+ Revision: 294146
- rebuild for kernel-3.5.4-1.mga3

* Fri Sep 14 2012 tmb <tmb> 4.2.0-1.mga3
+ Revision: 293750
- rebuild for virtualbox-4.2.0-1.mga3

* Tue Sep 11 2012 tmb <tmb> 4.1.22-2.mga3
+ Revision: 292396
- rebuild for kernel-3.5.3-3.mga3

* Sat Sep 08 2012 tmb <tmb> 4.1.22-1.mga3
+ Revision: 290463
- rebuild for virtualbox 4.1.22

* Thu Aug 30 2012 tmb <tmb> 4.1.18-8.mga3
+ Revision: 285704
- rebuild for kernel-3.5.3-2.mga3

* Sun Aug 26 2012 tmb <tmb> 4.1.18-7.mga3
+ Revision: 284290
- rebuild for kernel-3.5.3-1.mga3

* Thu Aug 16 2012 tmb <tmb> 4.1.18-6.mga3
+ Revision: 281609
- rebuild for kernel-3.5.2-1.mga3

* Sat Aug 11 2012 tmb <tmb> 4.1.18-5.mga3
+ Revision: 280504
- rebuild for kernel-3.5.1-1.mga3

* Sat Jul 28 2012 tmb <tmb> 4.1.18-4.mga3
+ Revision: 275095
- rebuild for kernel-3.5.0-1.mga3

* Fri Jul 20 2012 tmb <tmb> 4.1.18-3.mga3
+ Revision: 272921
- rebuild for kernel-3.4.6-1.mga3

* Thu Jul 19 2012 tmb <tmb> 4.1.18-2.mga3
+ Revision: 272423
- rebuild for kernel-3.4.5-1.mga3

* Sun Jul 01 2012 tmb <tmb> 4.1.18-1.mga3
+ Revision: 266256
- rebuild for vboxadditions 4.1.18
- rebuild for kernel 3.4.4-2.mga3

* Wed Jun 27 2012 tmb <tmb> 4.1.16-6.mga3
+ Revision: 264259
- rebuild for kernel-3.4.4-1.mga3

* Wed Jun 20 2012 tmb <tmb> 4.1.16-5.mga3
+ Revision: 262341
- rebuild for kernel-3.4.3-1.mga3

* Sat Jun 09 2012 tmb <tmb> 4.1.16-4.mga3
+ Revision: 259033
- rebuild for kernel-3.4.2-1.mga3

* Wed Jun 06 2012 tmb <tmb> 4.1.16-3.mga3
+ Revision: 256572
- rebuild for virtualbox-4.1.16-4.mga3

* Tue Jun 05 2012 tmb <tmb> 4.1.16-2.mga3
+ Revision: 255754
- rebuild for kernel-3.4.1-1.mga3

* Mon May 28 2012 tmb <tmb> 4.1.16-1.mga3
+ Revision: 247884
- rebuild for kernel-3.4.1-0.rc1.1.mga3

* Thu May 17 2012 tmb <tmb> 4.1.12-5.mga2
+ Revision: 235858
- build for kernel-3.3.6-2.mga2

* Sun May 13 2012 tmb <tmb> 4.1.12-4.mga2
+ Revision: 235563
- build for kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 4.1.12-3.mga2
+ Revision: 235204
- build for kernel-3.3.5-1.mga2

* Sat Apr 28 2012 tmb <tmb> 4.1.12-2.mga2
+ Revision: 233926
- rebuild for kernel-3.3.4-1.mga2

* Mon Apr 23 2012 tmb <tmb> 4.1.12-1.mga2
+ Revision: 232879
- imported package kmod-vboxadditions

